
//Get the player's input
key_right = keyboard_check(vk_right);
key_left = -keyboard_check(vk_left);
key_jump = keyboard_check_pressed(vk_space);
key_up = -keyboard_check(vk_up);
key_down = keyboard_check(vk_down);

//React to inputs and gravity
move = key_left + key_right;
vmove = key_up + key_down;
hsp = move * movespeed;

// update direction
if move > 0 {
	//direction = 1;
	image_index = 0;
}
else if move < 0 {
	//direction = -1;
	image_index = 1;
}
// handle gravity
if (vsp < 10) {
	vsp += grav;
}

// jump or climb if possible
if (place_meeting(x,y+1,obj_wall) or place_meeting(x,y,obj_ladder)) {
    vsp = key_jump * -jumpspeed + vmove * climbspeed;
}

// Vertical collision
if (place_meeting(x,y+vsp,obj_wall))
{
    while (!place_meeting(x,y+sign(vsp),obj_wall))
    {
        y+= sign(vsp);
    }
    vsp = 0;
}
y += vsp;

// Horizontal collision
if (place_meeting(x+hsp,y,obj_wall))
{
    while (!place_meeting(x+sign(hsp),y,obj_wall))
    {
        x+= sign(hsp);
    }
    hsp = 0;
}
x += hsp;


